## org.eclipse.m2m.qvt.oml.ocl.legacy.libraries
Class EmfToolsLibrary.Metainfo

    java.lang.Object
      org.eclipse.m2m.qvt.oml.ocl.legacy.libraries.EmfToolsLibrary.Metainfo

Enclosing class:
  EmfToolsLibrary

    public static class EmfToolsLibrary.Metainfo

extends java.lang.Object

Constructor Summary
`EmfToolsLibrary.Metainfo()`

Method Summary
`static java.lang.String[]` `asEObject(java.lang.Object self)`
`static java.lang.String[]` `currentTimeMillis()`
`static java.lang.String[]` `getDataTypeInstance(java.lang.String nsURI, java.lang.String dataTypeName)`
`static java.lang.String[]` `getDetails(org.eclipse.emf.ecore.EAnnotation self, java.lang.String key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmfToolsLibrary.Metainfo

    public EmfToolsLibrary.Metainfo()

Method Detail

### getDataTypeInstance

    public static java.lang.String[] getDataTypeInstance(java.lang.String nsURI,
                                                         java.lang.String dataTypeName)

### getDetails

    public static java.lang.String[] getDetails(org.eclipse.emf.ecore.EAnnotation self,
                                                java.lang.String key)

### asEObject

    public static java.lang.String[] asEObject(java.lang.Object self)

### currentTimeMillis

    public static java.lang.String[] currentTimeMillis()

Copyright 2008 Borland Software Corporation and others. All Rights Reserved.